View Issue Details

IDProjectCategoryView StatusLast Update
0001607SymmetricDS ProBugpublic2014-06-16 20:26
ReporterelongAssigned Tochenson 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version3.5.0 
Target Version3.6.0Fixed in Version3.6.0 
Summary0001607: Saving trigger link on GUI causes race with sync triggers
DescriptionThe web console GUI will sync triggers when saving configuration, and the server will also sync triggers when it detects a configuration change. With a large number of triggers to sync, the user can get errors about triggers already existing because of the race condition between the two processes.

2014-02-26 13:48:07,374 INFO [gui] [PostgreSqlSymmetricDialect] [qtp1696092-2213] Creating SYM_ON_U_FOR_NPNDCLMNCXC_SRVR trigger for public.unpendclaimincexc
2014-02-26 13:48:07,407 INFO [gui] [PostgreSqlSymmetricDialect] [qtp1696092-2213] Creating SYM_ON_D_FOR_NPNDCLMNCXC_SRVR trigger for public.unpendclaimincexc
2014-02-26 13:48:07,409 INFO [server] [PostgreSqlSymmetricDialect] [server-job-6] Creating SYM_ON_I_FOR_DHSPPRVLGCRD_SRVR trigger for public.edihospprivilegecred
2014-02-26 13:48:07,443 INFO [server] [PostgreSqlSymmetricDialect] [server-job-6] Creating SYM_ON_U_FOR_DHSPPRVLGCRD_SRVR trigger for public.edihospprivilegecred
2014-02-26 13:48:07,478 INFO [server] [PostgreSqlSymmetricDialect] [server-job-6] Creating SYM_ON_D_FOR_DHSPPRVLGCRD_SRVR trigger for public.edihospprivilegecred
2014-02-26 13:48:07,498 INFO [gui] [PostgreSqlSymmetricDialect] [qtp1696092-2213] Creating SYM_ON_D_FOR_DHSPPRVLGCRD_SRVR trigger for public.edihospprivilegecred
2014-02-26 13:48:07,504 ERROR [gui] [PostgreSqlSymmetricDialect] [qtp1696092-2213] Failed to create post trigger: create trigger SYM_ON_D_FOR_DHSPPRVLGCRD_SRVR after delete on "edihospprivilegecred" for each row execute procedure fSYM_ON_D_FOR_DHSPPRVLGCRD_SRVR();
2014-02-26 13:48:07,504 WARN [gui] [TriggerRouterService] [qtp1696092-2213] Cleaning up trigger hist row of 3273 after failing to create the associated trigger
2014-02-26 13:48:07,506 ERROR [gui] [TriggerRouterService] [qtp1696092-2213] Failed to create triggers for *
org.jumpmind.db.sql.SqlException: ERROR: trigger "sym_on_d_for_dhspprvlgcrd_srvr" for relation "edihospprivilegecred" already exists
Steps To Reproduce1. Setup client/server
2. Use a large number tables
3. Setup a wildcard trigger
4. Change a trigger router link in the GUI
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2014-02-27 12:31 elong New Issue
2014-03-03 10:03 chenson Assigned To => chenson
2014-03-03 10:03 chenson Status new => assigned
2014-04-24 09:41 chenson Status assigned => resolved
2014-04-24 09:41 chenson Fixed in Version => 3.6.0
2014-04-24 09:41 chenson Resolution open => fixed
2014-06-16 20:26 chenson Status resolved => closed